searchNodes=[{"doc":"API client metadata for GoogleApi.RemoteBuildExecution.V2.","ref":"GoogleApi.RemoteBuildExecution.V2.html","title":"GoogleApi.RemoteBuildExecution.V2","type":"module"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.html#discovery_revision/0","title":"GoogleApi.RemoteBuildExecution.V2.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged ActionResults .","ref":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults.html","title":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults","type":"module"},{"doc":"Retrieve a cached execution result. Implementations SHOULD ensure that any blobs referenced from the ContentAddressableStorage are available at the time of returning the ActionResult and will be for some period of time afterwards. The lifetimes of the referenced blobs SHOULD be increased if necessary and applicable. Errors: * NOT_FOUND : The requested ActionResult is not in the cache. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. hash ( type: String.t ) - The hash. In the case of SHA-256, it will always be a lowercase hex string exactly 64 characters long. size_bytes ( type: String.t ) - The size of the blob, in bytes. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :inlineOutputFiles ( type: list(String.t) ) - A hint to the server to inline the contents of the listed output files. Each path needs to exactly match one file path in either output_paths or output_files (DEPRECATED since v2.1) in the Command message. :inlineStderr ( type: boolean() ) - A hint to the server to request inlining stderr in the ActionResult message. :inlineStdout ( type: boolean() ) - A hint to the server to request inlining stdout in the ActionResult message. opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults.html#remotebuildexecution_action_results_get/6","title":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults.remotebuildexecution_action_results_get/6","type":"function"},{"doc":"Upload a new execution result. In order to allow the server to perform access control based on the type of action, and to assist with client debugging, the client MUST first upload the Action that produced the result, along with its Command, into the ContentAddressableStorage . Server implementations MAY modify the UpdateActionResultRequest.action_result and return an equivalent value. Errors: INVALID_ARGUMENT : One or more arguments are invalid. FAILED_PRECONDITION : One or more errors occurred in updating the action result, such as a missing command or action. * RESOURCE_EXHAUSTED : There is insufficient storage space to add the entry to the cache. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. hash ( type: String.t ) - The hash. In the case of SHA-256, it will always be a lowercase hex string exactly 64 characters long. size_bytes ( type: String.t ) - The size of the blob, in bytes. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;resultsCachePolicy.priority&quot; ( type: integer() ) - The priority (relative importance) of this content in the overall cache. Generally, a lower value means a longer retention time or other advantage, but the interpretation of a given value is server-dependent. A priority of 0 means a default value, decided by the server. The particular semantics of this field is up to the server. In particular, every server will have their own supported range of priorities, and will decide how these map into retention/eviction policy. :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults.html#remotebuildexecution_action_results_update/6","title":"GoogleApi.RemoteBuildExecution.V2.Api.ActionResults.remotebuildexecution_action_results_update/6","type":"function"},{"doc":"API calls for all endpoints tagged Actions .","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Actions.html","title":"GoogleApi.RemoteBuildExecution.V2.Api.Actions","type":"module"},{"doc":"Execute an action remotely. In order to execute an action, the client must first upload all of the inputs, the Command to run, and the Action into the ContentAddressableStorage. It then calls Execute with an action_digest referring to them. The server will run the action and eventually return the result. The input Action 's fields MUST meet the various canonicalization requirements specified in the documentation for their types so that it has the same digest as other logically equivalent Action s. The server MAY enforce the requirements and return errors if a non-canonical input is received. It MAY also proceed without verifying some or all of the requirements, such as for performance reasons. If the server does not verify the requirement, then it will treat the Action as distinct from another logically equivalent action if they hash differently. Returns a stream of google.longrunning.Operation messages describing the resulting execution, with eventual response ExecuteResponse. The metadata on the operation is of type ExecuteOperationMetadata. If the client remains connected after the first response is returned after the server, then updates are streamed as if the client had called WaitExecution until the execution completes or the request reaches an error. The operation can also be queried using Operations API. The server NEED NOT implement other methods or functionality of the Operations API. Errors discovered during creation of the Operation will be reported as gRPC Status errors, while errors that occurred while running the action will be reported in the status field of the ExecuteResponse . The server MUST NOT set the error field of the Operation proto. The possible errors include: INVALID_ARGUMENT : One or more arguments are invalid. FAILED_PRECONDITION : One or more errors occurred in setting up the action requested, such as a missing input or command or no worker being available. The client may be able to fix the errors and retry. RESOURCE_EXHAUSTED : There is insufficient quota of some resource to run the action. UNAVAILABLE : Due to a transient condition, such as all workers being occupied (and the server does not support a queue), the action could not be started. The client should retry. INTERNAL : An internal error occurred in the execution engine or the worker. DEADLINE_EXCEEDED : The execution timed out. * CANCELLED : The operation was cancelled by the client. This status is only possible if the server implements the Operations API CancelOperation method, and it was called for the current execution. In the case of a missing input or command, the server SHOULD additionally send a PreconditionFailure error detail where, for each requested blob not present in the CAS, there is a Violation with a type of MISSING and a subject of &quot;blobs/{hash}/{size}&quot; indicating the digest of the missing blob. The server does not need to guarantee that a call to this method leads to at most one execution of the action. The server MAY execute the action multiple times, potentially in parallel. These redundant executions MAY continue to run, even if the operation is completed. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Actions.html#remotebuildexecution_actions_execute/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.Actions.remotebuildexecution_actions_execute/4","type":"function"},{"doc":"API calls for all endpoints tagged Blobs .","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.html","title":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs","type":"module"},{"doc":"Download many blobs at once. The server may enforce a limit of the combined total size of blobs to be downloaded using this API. This limit may be obtained using the Capabilities API. Requests exceeding the limit should either be split into smaller chunks or downloaded using the ByteStream API, as appropriate. This request is equivalent to calling a Bytestream Read request on each individual blob, in parallel. The requests may succeed or fail independently. Errors: * INVALID_ARGUMENT : The client attempted to read more than the server supported limit. Every error on individual read will be returned in the corresponding digest status. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.html#remotebuildexecution_blobs_batch_read/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.remotebuildexecution_blobs_batch_read/4","type":"function"},{"doc":"Upload many blobs at once. The server may enforce a limit of the combined total size of blobs to be uploaded using this API. This limit may be obtained using the Capabilities API. Requests exceeding the limit should either be split into smaller chunks or uploaded using the ByteStream API, as appropriate. This request is equivalent to calling a Bytestream Write request on each individual blob, in parallel. The requests may succeed or fail independently. Errors: INVALID_ARGUMENT : The client attempted to upload more than the server supported limit. Individual requests may return the following errors, additionally: RESOURCE_EXHAUSTED : There is insufficient disk quota to store the blob. * INVALID_ARGUMENT : The Digest does not match the provided data. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.html#remotebuildexecution_blobs_batch_update/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.remotebuildexecution_blobs_batch_update/4","type":"function"},{"doc":"Determine if blobs are present in the CAS. Clients can use this API before uploading blobs to determine which ones are already present in the CAS and do not need to be uploaded again. Servers SHOULD increase the lifetimes of the referenced blobs if necessary and applicable. There are no method-specific errors. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.html#remotebuildexecution_blobs_find_missing/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.remotebuildexecution_blobs_find_missing/4","type":"function"},{"doc":"Fetch the entire directory tree rooted at a node. This request must be targeted at a Directory stored in the ContentAddressableStorage (CAS). The server will enumerate the Directory tree recursively and return every node descended from the root. The GetTreeRequest.page_token parameter can be used to skip ahead in the stream (e.g. when retrying a partially completed and aborted request), by setting it to a value taken from GetTreeResponse.next_page_token of the last successfully processed GetTreeResponse). The exact traversal order is unspecified and, unless retrieving subsequent pages from an earlier request, is not guaranteed to be stable across multiple invocations of GetTree . If part of the tree is missing from the CAS, the server will return the portion present and omit the rest. Errors: * NOT_FOUND : The requested tree root is not present in the CAS. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. hash ( type: String.t ) - The hash. In the case of SHA-256, it will always be a lowercase hex string exactly 64 characters long. size_bytes ( type: String.t ) - The size of the blob, in bytes. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize ( type: integer() ) - A maximum page size to request. If present, the server will request no more than this many items. Regardless of whether a page size is specified, the server may place its own limit on the number of items to be returned and require the client to retrieve more items using a subsequent request. :pageToken ( type: String.t ) - A page token, which must be a value received in a previous GetTreeResponse. If present, the server will use that token as an offset, returning only that page and the ones that succeed it. opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.html#remotebuildexecution_blobs_get_tree/6","title":"GoogleApi.RemoteBuildExecution.V2.Api.Blobs.remotebuildexecution_blobs_get_tree/6","type":"function"},{"doc":"API calls for all endpoints tagged Operations .","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Operations.html","title":"GoogleApi.RemoteBuildExecution.V2.Api.Operations","type":"module"},{"doc":"Wait for an execution operation to complete. When the client initially makes the request, the server immediately responds with the current status of the execution. The server will leave the request stream open until the operation completes, and then respond with the completed operation. The server MAY choose to stream additional updates as execution progresses, such as to provide an update as to the state of the execution. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server name ( type: String.t ) - The name of the Operation returned by Execute. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.Operations.html#remotebuildexecution_operations_wait_execution/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.Operations.remotebuildexecution_operations_wait_execution/4","type":"function"},{"doc":"API calls for all endpoints tagged V2 .","ref":"GoogleApi.RemoteBuildExecution.V2.Api.V2.html","title":"GoogleApi.RemoteBuildExecution.V2.Api.V2","type":"module"},{"doc":"GetCapabilities returns the server capabilities configuration of the remote endpoint. Only the capabilities of the services supported by the endpoint will be returned: Execution + CAS + Action Cache endpoints should return both CacheCapabilities and ExecutionCapabilities. Execution only endpoints should return ExecutionCapabilities. * CAS + Action Cache only endpoints should return CacheCapabilities. Parameters connection ( type: GoogleApi.RemoteBuildExecution.V2.Connection.t ) - Connection to server instance_name ( type: String.t ) - The instance of the execution system to operate against. A server may support multiple instances of the execution system (with their own workers, storage, caches, etc.). The server MAY require use of this field to select between them in an implementation-defined fashion, otherwise it can be omitted. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities{}} on success {:error, info} on failure","ref":"GoogleApi.RemoteBuildExecution.V2.Api.V2.html#remotebuildexecution_get_capabilities/4","title":"GoogleApi.RemoteBuildExecution.V2.Api.V2.remotebuildexecution_get_capabilities/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.RemoteBuildExecution.V2.","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html","title":"GoogleApi.RemoteBuildExecution.V2.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete ( &quot;/users&quot; ) delete ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; ) delete ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#delete/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete! ( &quot;/users&quot; ) delete! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; ) delete! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#delete!/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#execute/2","title":"GoogleApi.RemoteBuildExecution.V2.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get ( &quot;/users&quot; ) get ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; ) get ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#get/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get! ( &quot;/users&quot; ) get! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; ) get! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#get!/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head ( &quot;/users&quot; ) head ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; ) head ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#head/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head! ( &quot;/users&quot; ) head! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; ) head! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#head!/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#new/0","title":"GoogleApi.RemoteBuildExecution.V2.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher ( type: list(String.t()) -&gt; String.t() ) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#new/1","title":"GoogleApi.RemoteBuildExecution.V2.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options ( &quot;/users&quot; ) options ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; ) options ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#options/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options! ( &quot;/users&quot; ) options! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; ) options! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#options!/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#patch/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#patch!/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#post/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#post!/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#put/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#put!/4","title":"GoogleApi.RemoteBuildExecution.V2.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [ :head , :get , :delete , :trace , :options , :post , :put , :patch ] :url - either full url e.g. &quot; http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi . request ( method : :get , url : &quot;/users/path&quot; ) # use shortcut methods ExampleApi . get ( &quot;/users/1&quot; ) ExampleApi . post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#request/2","title":"GoogleApi.RemoteBuildExecution.V2.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#request!/2","title":"GoogleApi.RemoteBuildExecution.V2.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace ( &quot;/users&quot; ) trace ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; ) trace ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#trace/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace! ( &quot;/users&quot; ) trace! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; ) trace! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#trace!/3","title":"GoogleApi.RemoteBuildExecution.V2.Connection.trace!/3","type":"function"},{"doc":"Options that may be passed to a request function. See request/2 for detailed descriptions.","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#t:option/0","title":"GoogleApi.RemoteBuildExecution.V2.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Connection.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Connection.t/0","type":"type"},{"doc":"An Action captures all the information about an execution which is required to reproduce it. Action s are the core component of the [Execution] service. A single Action represents a repeatable action that can be performed by the execution service. Action s can be succinctly identified by the digest of their wire format encoding and, once an Action has been executed, will be cached in the action cache. Future requests can then use the cached result rather than needing to run afresh. When a server completes execution of an Action, it MAY choose to cache the result in the ActionCache unless do_not_cache is true . Clients SHOULD expect the server to do so. By default, future calls to Execute the same Action will also serve their results from the cache. Clients must take care to understand the caching behaviour. Ideally, all Action s will be reproducible so that serving a result from cache is always desirable and correct. Attributes commandDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the Command to run, which MUST be present in the ContentAddressableStorage. doNotCache ( type: boolean() , default: nil ) - If true, then the Action 's result cannot be cached, and in-flight requests for the same Action may not be merged. inputRootDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the root Directory for the input files. The files in the directory tree are available in the correct location on the build machine before the command is executed. The root directory, as well as every subdirectory and content blob referred to, MUST be in the ContentAddressableStorage. platform ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.t , default: nil ) - The optional platform requirements for the execution environment. The server MAY choose to execute the action on any worker satisfying the requirements, so the client SHOULD ensure that running the action on any such worker will have the same result. A detailed lexicon for this can be found in the accompanying platform.md. New in version 2.2: clients SHOULD set these platform properties as well as those in the Command. Servers SHOULD prefer those set here. salt ( type: String.t , default: nil ) - An optional additional salt value used to place this Action into a separate cache namespace from other instances having the same field contents. This salt typically comes from operational configuration specific to sources such as repo and service configuration, and allows disowning an entire set of ActionResults that might have been poisoned by buggy software or tool failures. timeout ( type: String.t , default: nil ) - A timeout after which the execution should be killed. If the timeout is absent, then the client is specifying that the execution should continue as long as the server will let it. The server SHOULD impose a timeout if the client does not specify one, however, if the client does specify a timeout that is longer than the server's maximum timeout, the server MUST reject the request. The timeout is a part of the Action message, and therefore two Actions with different timeouts are different, even if they are otherwise identical. This is because, if they were not, running an Action with a lower timeout than is required might result in a cache hit from an execution run with a longer timeout, hiding the fact that the timeout is too short. By encoding it directly in the Action , a lower timeout will result in a cache miss and the execution timeout will fail immediately, rather than whenever the cache entry gets evicted.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Action.t/0","type":"type"},{"doc":"Describes the server/instance capabilities for updating the action cache. Attributes updateEnabled ( type: boolean() , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.t/0","type":"type"},{"doc":"An ActionResult represents the result of an Action being run. It is advised that at least one field (for example ActionResult.execution_metadata.Worker ) have a non-default value, to ensure that the serialized value is non-empty, which can then be used as a basic data sanity check. Attributes executionMetadata ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.t , default: nil ) - The details of the execution that originally produced this result. exitCode ( type: integer() , default: nil ) - The exit code of the command. outputDirectories ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.t) , default: nil ) - The output directories of the action. For each output directory requested in the output_directories or output_paths field of the Action, if the corresponding directory existed after the action completed, a single entry will be present in the output list, which will contain the digest of a Tree message containing the directory tree, and the path equal exactly to the corresponding Action output_directories member. As an example, suppose the Action had an output directory a/b/dir and the execution produced the following contents in a/b/dir : a file named bar and a directory named foo with an executable file named baz . Then, output_directory will contain (hashes shortened for readability): json // OutputDirectory proto: { path: &quot;a/b/dir&quot; tree_digest: { hash: &quot;4a73bc9d03...&quot;, size: 55 } } // Tree proto with hash &quot;4a73bc9d03...&quot; and size 55: { root: { files: [ { name: &quot;bar&quot;, digest: { hash: &quot;4a73bc9d03...&quot;, size: 65534 } } ], directories: [ { name: &quot;foo&quot;, digest: { hash: &quot;4cf2eda940...&quot;, size: 43 } } ] } children : { // (Directory proto with hash &quot;4cf2eda940...&quot; and size 43) files: [ { name: &quot;baz&quot;, digest: { hash: &quot;b2c941073e...&quot;, size: 1294, }, is_executable: true } ] } } If an output of the same name as listed in output_files of the Command was found in output_directories , but was not a directory, the server will return a FAILED_PRECONDITION. outputDirectorySymlinks ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.t) , default: nil ) - The output directories of the action that are symbolic links to other directories. Those may be links to other output directories, or input directories, or even absolute paths outside of the working directory, if the server supports SymlinkAbsolutePathStrategy.ALLOWED. For each output directory requested in the output_directories field of the Action, if the directory existed after the action completed, a single entry will be present either in this field, or in the output_directories field, if the directory was not a symbolic link. If an output of the same name was found, but was a symbolic link to a file instead of a directory, the server will return a FAILED_PRECONDITION. If the action does not produce the requested output, then that output will be omitted from the list. The server is free to arrange the output list as desired; clients MUST NOT assume that the output list is sorted. DEPRECATED as of v2.1. Servers that wish to be compatible with v2.0 API should still populate this field in addition to output_symlinks . outputFileSymlinks ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.t) , default: nil ) - The output files of the action that are symbolic links to other files. Those may be links to other output files, or input files, or even absolute paths outside of the working directory, if the server supports SymlinkAbsolutePathStrategy.ALLOWED. For each output file requested in the output_files or output_paths field of the Action, if the corresponding file existed after the action completed, a single entry will be present either in this field, or in the output_files field, if the file was not a symbolic link. If an output symbolic link of the same name as listed in output_files of the Command was found, but its target type was not a regular file, the server will return a FAILED_PRECONDITION. If the action does not produce the requested output, then that output will be omitted from the list. The server is free to arrange the output list as desired; clients MUST NOT assume that the output list is sorted. DEPRECATED as of v2.1. Servers that wish to be compatible with v2.0 API should still populate this field in addition to output_symlinks . outputFiles ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.t) , default: nil ) - The output files of the action. For each output file requested in the output_files or output_paths field of the Action, if the corresponding file existed after the action completed, a single entry will be present either in this field, or the output_file_symlinks field if the file was a symbolic link to another file ( output_symlinks field after v2.1). If an output listed in output_files was found, but was a directory rather than a regular file, the server will return a FAILED_PRECONDITION. If the action does not produce the requested output, then that output will be omitted from the list. The server is free to arrange the output list as desired; clients MUST NOT assume that the output list is sorted. outputSymlinks ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.t) , default: nil ) - New in v2.1: this field will only be populated if the command output_paths field was used, and not the pre v2.1 output_files or output_directories fields. The output paths of the action that are symbolic links to other paths. Those may be links to other outputs, or inputs, or even absolute paths outside of the working directory, if the server supports SymlinkAbsolutePathStrategy.ALLOWED. A single entry for each output requested in output_paths field of the Action, if the corresponding path existed after the action completed and was a symbolic link. If the action does not produce a requested output, then that output will be omitted from the list. The server is free to arrange the output list as desired; clients MUST NOT assume that the output list is sorted. stderrDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest for a blob containing the standard error of the action, which can be retrieved from the ContentAddressableStorage. stderrRaw ( type: String.t , default: nil ) - The standard error buffer of the action. The server SHOULD NOT inline stderr unless requested by the client in the GetActionResultRequest message. The server MAY omit inlining, even if requested, and MUST do so if inlining would cause the response to exceed message size limits. stdoutDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest for a blob containing the standard output of the action, which can be retrieved from the ContentAddressableStorage. stdoutRaw ( type: String.t , default: nil ) - The standard output buffer of the action. The server SHOULD NOT inline stdout unless requested by the client in the GetActionResultRequest message. The server MAY omit inlining, even if requested, and MUST do so if inlining would cause the response to exceed message size limits.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.t/0","type":"type"},{"doc":"A request message for ContentAddressableStorage.BatchReadBlobs. Attributes digests ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t) , default: nil ) - The individual blob digests.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsRequest.t/0","type":"type"},{"doc":"A response message for ContentAddressableStorage.BatchReadBlobs. Attributes responses ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.t) , default: nil ) - The responses to the requests.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponse.t/0","type":"type"},{"doc":"A response corresponding to a single blob that the client tried to download. Attributes data ( type: String.t , default: nil ) - The raw binary data. digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest to which this response corresponds. status ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t , default: nil ) - The result of attempting to download that blob.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchReadBlobsResponseResponse.t/0","type":"type"},{"doc":"A request message for ContentAddressableStorage.BatchUpdateBlobs. Attributes requests ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.t) , default: nil ) - The individual upload requests.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequest.t/0","type":"type"},{"doc":"A request corresponding to a single blob that the client wants to upload. Attributes data ( type: String.t , default: nil ) - The raw binary data. digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the blob. This MUST be the digest of data .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsRequestRequest.t/0","type":"type"},{"doc":"A response message for ContentAddressableStorage.BatchUpdateBlobs. Attributes responses ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.t) , default: nil ) - The responses to the requests.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponse.t/0","type":"type"},{"doc":"A response corresponding to a single blob that the client tried to upload. Attributes digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The blob digest to which this response corresponds. status ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t , default: nil ) - The result of attempting to upload that blob.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2BatchUpdateBlobsResponseResponse.t/0","type":"type"},{"doc":"Capabilities of the remote cache system. Attributes actionCacheUpdateCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionCacheUpdateCapabilities.t , default: nil ) - Capabilities for updating the action cache. cachePriorityCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.t , default: nil ) - Supported cache priority range for both CAS and ActionCache. digestFunction ( type: list(String.t) , default: nil ) - All the digest functions supported by the remote cache. Remote cache may support multiple digest functions simultaneously. maxBatchTotalSizeBytes ( type: String.t , default: nil ) - Maximum total size of blobs to be uploaded/downloaded using batch methods. A value of 0 means no limit is set, although in practice there will always be a message size limitation of the protocol in use, e.g. GRPC. supportedCompressor ( type: list(String.t) , default: nil ) - Compressors supported by the &quot;compressed-blobs&quot; bytestream resources. Servers MUST support identity/no-compression, even if it is not listed here. Note that this does not imply which if any compressors are supported by the server at the gRPC level. symlinkAbsolutePathStrategy ( type: String.t , default: nil ) - Whether absolute symlink targets are supported.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.t/0","type":"type"},{"doc":"A Command is the actual command executed by a worker running an Action and specifications of its environment. Except as otherwise required, the environment (such as which system libraries or binaries are available, and what filesystems are mounted where) is defined by and specific to the implementation of the remote execution API. Attributes arguments ( type: list(String.t) , default: nil ) - The arguments to the command. The first argument must be the path to the executable, which must be either a relative path, in which case it is evaluated with respect to the input root, or an absolute path. environmentVariables ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.t) , default: nil ) - The environment variables to set when running the program. The worker may provide its own default environment variables; these defaults can be overridden using this field. Additional variables can also be specified. In order to ensure that equivalent Commands always hash to the same value, the environment variables MUST be lexicographically sorted by name. Sorting of strings is done by code point, equivalently, by the UTF-8 bytes. outputDirectories ( type: list(String.t) , default: nil ) - A list of the output directories that the client expects to retrieve from the action. Only the listed directories will be returned (an entire directory structure will be returned as a Tree message digest, see OutputDirectory), as well as files listed in output_files . Other files or directories that may be created during command execution are discarded. The paths are relative to the working directory of the action execution. The paths are specified using a single forward slash ( / ) as a path separator, even if the execution platform natively uses a different separator. The path MUST NOT include a trailing slash, nor a leading slash, being a relative path. The special value of empty string is allowed, although not recommended, and can be used to capture the entire working directory tree, including inputs. In order to ensure consistent hashing of the same Action, the output paths MUST be sorted lexicographically by code point (or, equivalently, by UTF-8 bytes). An output directory cannot be duplicated or have the same path as any of the listed output files. An output directory is allowed to be a parent of another output directory. Directories leading up to the output directories (but not the output directories themselves) are created by the worker prior to execution, even if they are not explicitly part of the input root. DEPRECATED since 2.1: Use output_paths instead. outputFiles ( type: list(String.t) , default: nil ) - A list of the output files that the client expects to retrieve from the action. Only the listed files, as well as directories listed in output_directories , will be returned to the client as output. Other files or directories that may be created during command execution are discarded. The paths are relative to the working directory of the action execution. The paths are specified using a single forward slash ( / ) as a path separator, even if the execution platform natively uses a different separator. The path MUST NOT include a trailing slash, nor a leading slash, being a relative path. In order to ensure consistent hashing of the same Action, the output paths MUST be sorted lexicographically by code point (or, equivalently, by UTF-8 bytes). An output file cannot be duplicated, be a parent of another output file, or have the same path as any of the listed output directories. Directories leading up to the output files are created by the worker prior to execution, even if they are not explicitly part of the input root. DEPRECATED since v2.1: Use output_paths instead. outputNodeProperties ( type: list(String.t) , default: nil ) - A list of keys for node properties the client expects to retrieve for output files and directories. Keys are either names of string-based NodeProperty or names of fields in NodeProperties. In order to ensure that equivalent Action s always hash to the same value, the node properties MUST be lexicographically sorted by name. Sorting of strings is done by code point, equivalently, by the UTF-8 bytes. The interpretation of string-based properties is server-dependent. If a property is not recognized by the server, the server will return an INVALID_ARGUMENT . outputPaths ( type: list(String.t) , default: nil ) - A list of the output paths that the client expects to retrieve from the action. Only the listed paths will be returned to the client as output. The type of the output (file or directory) is not specified, and will be determined by the server after action execution. If the resulting path is a file, it will be returned in an OutputFile) typed field. If the path is a directory, the entire directory structure will be returned as a Tree message digest, see OutputDirectory) Other files or directories that may be created during command execution are discarded. The paths are relative to the working directory of the action execution. The paths are specified using a single forward slash ( / ) as a path separator, even if the execution platform natively uses a different separator. The path MUST NOT include a trailing slash, nor a leading slash, being a relative path. In order to ensure consistent hashing of the same Action, the output paths MUST be deduplicated and sorted lexicographically by code point (or, equivalently, by UTF-8 bytes). Directories leading up to the output paths are created by the worker prior to execution, even if they are not explicitly part of the input root. New in v2.1: this field supersedes the DEPRECATED output_files and output_directories fields. If output_paths is used, output_files and output_directories will be ignored! platform ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.t , default: nil ) - The platform requirements for the execution environment. The server MAY choose to execute the action on any worker satisfying the requirements, so the client SHOULD ensure that running the action on any such worker will have the same result. A detailed lexicon for this can be found in the accompanying platform.md. DEPRECATED as of v2.2: platform properties are now specified directly in the action. See documentation note in the Action for migration. workingDirectory ( type: String.t , default: nil ) - The working directory, relative to the input root, for the command to run in. It must be a directory which exists in the input tree. If it is left empty, then the action is run in the input root.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Command.t/0","type":"type"},{"doc":"An EnvironmentVariable is one variable to set in the running program's environment. Attributes name ( type: String.t , default: nil ) - The variable name. value ( type: String.t , default: nil ) - The variable value.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CommandEnvironmentVariable.t/0","type":"type"},{"doc":"A content digest. A digest for a given blob consists of the size of the blob and its hash. The hash algorithm to use is defined by the server. The size is considered to be an integral part of the digest and cannot be separated. That is, even if the hash field is correctly specified but size_bytes is not, the server MUST reject the request. The reason for including the size in the digest is as follows: in a great many cases, the server needs to know the size of the blob it is about to work with prior to starting an operation with it, such as flattening Merkle tree structures or streaming it to a worker. Technically, the server could implement a separate metadata store, but this results in a significantly more complicated implementation as opposed to having the client specify the size up-front (or storing the size along with the digest in every message where digests are embedded). This does mean that the API leaks some implementation details of (what we consider to be) a reasonable server implementation, but we consider this to be a worthwhile tradeoff. When a Digest is used to refer to a proto message, it always refers to the message in binary encoded form. To ensure consistent hashing, clients and servers MUST ensure that they serialize messages according to the following rules, even if there are alternate valid encodings for the same message: Fields are serialized in tag order. There are no unknown fields. There are no duplicate fields. Fields are serialized according to the default semantics for their type. Most protocol buffer implementations will always follow these rules when serializing, but care should be taken to avoid shortcuts. For instance, concatenating two messages to merge them may produce duplicate fields. Attributes hash ( type: String.t , default: nil ) - The hash. In the case of SHA-256, it will always be a lowercase hex string exactly 64 characters long. sizeBytes ( type: String.t , default: nil ) - The size of the blob, in bytes.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t/0","type":"type"},{"doc":"A Directory represents a directory node in a file tree, containing zero or more children FileNodes, DirectoryNodes and SymlinkNodes. Each Node contains its name in the directory, either the digest of its content (either a file blob or a Directory proto) or a symlink target, as well as possibly some metadata about the file or directory. In order to ensure that two equivalent directory trees hash to the same value, the following restrictions MUST be obeyed when constructing a a Directory : Every child in the directory must have a path of exactly one segment. Multiple levels of directory hierarchy may not be collapsed. Each child in the directory must have a unique path segment (file name). Note that while the API itself is case-sensitive, the environment where the Action is executed may or may not be case-sensitive. That is, it is legal to call the API with a Directory that has both &quot;Foo&quot; and &quot;foo&quot; as children, but the Action may be rejected by the remote system upon execution. The files, directories and symlinks in the directory must each be sorted in lexicographical order by path. The path strings must be sorted by code point, equivalently, by UTF-8 bytes. The NodeProperties of files, directories, and symlinks must be sorted in lexicographical order by property name. A Directory that obeys the restrictions is said to be in canonical form. As an example, the following could be used for a file named bar and a directory named foo with an executable file named baz (hashes shortened for readability): json // (Directory proto) { files: [ { name: &quot;bar&quot;, digest: { hash: &quot;4a73bc9d03...&quot;, size: 65534 }, node_properties: [ { &quot;name&quot;: &quot;MTime&quot;, &quot;value&quot;: &quot;2017-01-15T01:30:15.01Z&quot; } ] } ], directories: [ { name: &quot;foo&quot;, digest: { hash: &quot;4cf2eda940...&quot;, size: 43 } } ] } // (Directory proto with hash &quot;4cf2eda940...&quot; and size 43) { files: [ { name: &quot;baz&quot;, digest: { hash: &quot;b2c941073e...&quot;, size: 1294, }, is_executable: true } ] } Attributes directories ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.t) , default: nil ) - The subdirectories in the directory. files ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.t) , default: nil ) - The files in the directory. nodeProperties ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t , default: nil ) - symlinks ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.t) , default: nil ) - The symlinks in the directory.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.t/0","type":"type"},{"doc":"A DirectoryNode represents a child of a Directory which is itself a Directory and its associated metadata. Attributes digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the Directory object represented. See Digest for information about how to take the digest of a proto message. name ( type: String.t , default: nil ) - The name of the directory.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2DirectoryNode.t/0","type":"type"},{"doc":"Metadata about an ongoing execution, which will be contained in the metadata field of the Operation. Attributes actionDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the Action being executed. stage ( type: String.t , default: nil ) - The current stage of execution. stderrStreamName ( type: String.t , default: nil ) - If set, the client can use this resource name with ByteStream.Read to stream the standard error from the endpoint hosting streamed responses. stdoutStreamName ( type: String.t , default: nil ) - If set, the client can use this resource name with ByteStream.Read to stream the standard output from the endpoint hosting streamed responses.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteOperationMetadata.t/0","type":"type"},{"doc":"A request message for Execution.Execute. Attributes actionDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the Action to execute. executionPolicy ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.t , default: nil ) - An optional policy for execution of the action. The server will have a default policy if this is not provided. resultsCachePolicy ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.t , default: nil ) - An optional policy for the results of this execution in the remote cache. The server will have a default policy if this is not provided. This may be applied to both the ActionResult and the associated blobs. skipCacheLookup ( type: boolean() , default: nil ) - If true, the action will be executed even if its result is already present in the ActionCache. The execution is still allowed to be merged with other in-flight executions of the same action, however - semantically, the service MUST only guarantee that the results of an execution with this field set were not visible before the corresponding execution request was sent. Note that actions from execution requests setting this field set are still eligible to be entered into the action cache upon completion, and services SHOULD overwrite any existing entries that may exist. This allows skip_cache_lookup requests to be used as a mechanism for replacing action cache entries that reference outputs no longer available or that are poisoned in any way. If false, the result may be served from the action cache.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteRequest.t/0","type":"type"},{"doc":"The response message for Execution.Execute, which will be contained in the response field of the Operation. Attributes cachedResult ( type: boolean() , default: nil ) - True if the result was served from cache, false if it was executed. message ( type: String.t , default: nil ) - Freeform informational message with details on the execution of the action that may be displayed to the user upon failure or when requested explicitly. result ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ActionResult.t , default: nil ) - The result of the action. serverLogs ( type: %{optional(String.t) =&gt; GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.t} , default: nil ) - An optional list of additional log outputs the server wishes to provide. A server can use this to return execution-specific logs however it wishes. This is intended primarily to make it easier for users to debug issues that may be outside of the actual job execution, such as by identifying the worker executing the action or by providing logs from the worker's setup phase. The keys SHOULD be human readable so that a client can display them to a user. status ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t , default: nil ) - If the status has a code other than OK , it indicates that the action did not finish execution. For example, if the operation times out during execution, the status will have a DEADLINE_EXCEEDED code. Servers MUST use this field for errors in execution, rather than the error field on the Operation object. If the status code is other than OK , then the result MUST NOT be cached. For an error status, the result field is optional; the server may populate the output-, stdout-, and stderr-related fields if it has any information available, such as the stdout and stderr of a timed-out action.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecuteResponse.t/0","type":"type"},{"doc":"ExecutedActionMetadata contains details about a completed execution. Attributes auxiliaryMetadata ( type: list(map()) , default: nil ) - Details that are specific to the kind of worker used. For example, on POSIX-like systems this could contain a message with getrusage(2) statistics. executionCompletedTimestamp ( type: DateTime.t , default: nil ) - When the worker completed executing the action command. executionStartTimestamp ( type: DateTime.t , default: nil ) - When the worker started executing the action command. inputFetchCompletedTimestamp ( type: DateTime.t , default: nil ) - When the worker finished fetching action inputs. inputFetchStartTimestamp ( type: DateTime.t , default: nil ) - When the worker started fetching action inputs. outputUploadCompletedTimestamp ( type: DateTime.t , default: nil ) - When the worker finished uploading action outputs. outputUploadStartTimestamp ( type: DateTime.t , default: nil ) - When the worker started uploading action outputs. queuedTimestamp ( type: DateTime.t , default: nil ) - When was the action added to the queue. worker ( type: String.t , default: nil ) - The name of the worker which ran the execution. workerCompletedTimestamp ( type: DateTime.t , default: nil ) - When the worker completed the action, including all stages. workerStartTimestamp ( type: DateTime.t , default: nil ) - When the worker received the action.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutedActionMetadata.t/0","type":"type"},{"doc":"Capabilities of the remote execution system. Attributes digestFunction ( type: String.t , default: nil ) - Remote execution may only support a single digest function. execEnabled ( type: boolean() , default: nil ) - Whether remote execution is enabled for the particular server/instance. executionPriorityCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.t , default: nil ) - Supported execution priority range. supportedNodeProperties ( type: list(String.t) , default: nil ) - Supported node properties.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.t/0","type":"type"},{"doc":"An ExecutionPolicy can be used to control the scheduling of the action. Attributes priority ( type: integer() , default: nil ) - The priority (relative importance) of this action. Generally, a lower value means that the action should be run sooner than actions having a greater priority value, but the interpretation of a given value is server- dependent. A priority of 0 means the default priority. Priorities may be positive or negative, and such actions should run later or sooner than actions having the default priority, respectively. The particular semantics of this field is up to the server. In particular, every server will have their own supported range of priorities, and will decide how these map into scheduling policy.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionPolicy.t/0","type":"type"},{"doc":"A FileNode represents a single file and associated metadata. Attributes digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the file's content. isExecutable ( type: boolean() , default: nil ) - True if file is executable, false otherwise. name ( type: String.t , default: nil ) - The name of the file. nodeProperties ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FileNode.t/0","type":"type"},{"doc":"A request message for ContentAddressableStorage.FindMissingBlobs. Attributes blobDigests ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t) , default: nil ) - A list of the blobs to check.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsRequest.t/0","type":"type"},{"doc":"A response message for ContentAddressableStorage.FindMissingBlobs. Attributes missingBlobDigests ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t) , default: nil ) - A list of the blobs requested not present in the storage.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2FindMissingBlobsResponse.t/0","type":"type"},{"doc":"A response message for ContentAddressableStorage.GetTree. Attributes directories ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.t) , default: nil ) - The directories descended from the requested root. nextPageToken ( type: String.t , default: nil ) - If present, signifies that there are more results which the client can retrieve by passing this as the page_token in a subsequent request. If empty, signifies that this is the last page of results.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2GetTreeResponse.t/0","type":"type"},{"doc":"A LogFile is a log stored in the CAS. Attributes digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the log contents. humanReadable ( type: boolean() , default: nil ) - This is a hint as to the purpose of the log, and is set to true if the log is human-readable text that can be usefully displayed to a user, and false otherwise. For instance, if a command-line client wishes to print the server logs to the terminal for a failed action, this allows it to avoid displaying a binary file.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2LogFile.t/0","type":"type"},{"doc":"Node properties for FileNodes, DirectoryNodes, and SymlinkNodes. The server is responsible for specifying the properties that it accepts. Attributes mtime ( type: DateTime.t , default: nil ) - The file's last modification timestamp. properties ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.t) , default: nil ) - A list of string-based NodeProperties. unixMode ( type: integer() , default: nil ) - The UNIX file mode, e.g., 0755.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t/0","type":"type"},{"doc":"A single property for FileNodes, DirectoryNodes, and SymlinkNodes. The server is responsible for specifying the property name s that it accepts. If permitted by the server, the same name may occur multiple times. Attributes name ( type: String.t , default: nil ) - The property name. value ( type: String.t , default: nil ) - The property value.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperty.t/0","type":"type"},{"doc":"An OutputDirectory is the output in an ActionResult corresponding to a directory's full contents rather than a single file. Attributes path ( type: String.t , default: nil ) - The full path of the directory relative to the working directory. The path separator is a forward slash / . Since this is a relative path, it MUST NOT begin with a leading forward slash. The empty string value is allowed, and it denotes the entire working directory. treeDigest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the encoded Tree proto containing the directory's contents.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputDirectory.t/0","type":"type"},{"doc":"An OutputFile is similar to a FileNode, but it is used as an output in an ActionResult . It allows a full file path rather than only a name. Attributes contents ( type: String.t , default: nil ) - The contents of the file if inlining was requested. The server SHOULD NOT inline file contents unless requested by the client in the GetActionResultRequest message. The server MAY omit inlining, even if requested, and MUST do so if inlining would cause the response to exceed message size limits. digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Digest.t , default: nil ) - The digest of the file's content. isExecutable ( type: boolean() , default: nil ) - True if file is executable, false otherwise. nodeProperties ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t , default: nil ) - path ( type: String.t , default: nil ) - The full path of the file relative to the working directory, including the filename. The path separator is a forward slash / . Since this is a relative path, it MUST NOT begin with a leading forward slash.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputFile.t/0","type":"type"},{"doc":"An OutputSymlink is similar to a Symlink, but it is used as an output in an ActionResult . OutputSymlink is binary-compatible with SymlinkNode . Attributes nodeProperties ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t , default: nil ) - path ( type: String.t , default: nil ) - The full path of the symlink relative to the working directory, including the filename. The path separator is a forward slash / . Since this is a relative path, it MUST NOT begin with a leading forward slash. target ( type: String.t , default: nil ) - The target path of the symlink. The path separator is a forward slash / . The target path can be relative to the parent directory of the symlink or it can be an absolute path starting with / . Support for absolute paths can be checked using the Capabilities API. .. components are allowed anywhere in the target path.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2OutputSymlink.t/0","type":"type"},{"doc":"A Platform is a set of requirements, such as hardware, operating system, or compiler toolchain, for an Action's execution environment. A Platform is represented as a series of key-value pairs representing the properties that are required of the platform. Attributes properties ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.t) , default: nil ) - The properties that make up this platform. In order to ensure that equivalent Platform s always hash to the same value, the properties MUST be lexicographically sorted by name, and then by value. Sorting of strings is done by code point, equivalently, by the UTF-8 bytes.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Platform.t/0","type":"type"},{"doc":"A single property for the environment. The server is responsible for specifying the property name s that it accepts. If an unknown name is provided in the requirements for an Action, the server SHOULD reject the execution request. If permitted by the server, the same name may occur multiple times. The server is also responsible for specifying the interpretation of property value s. For instance, a property describing how much RAM must be available may be interpreted as allowing a worker with 16GB to fulfill a request for 8GB, while a property describing the OS environment on which the action must be performed may require an exact match with the worker's OS. The server MAY use the value of one or more properties to determine how it sets up the execution environment, such as by making specific system files available to the worker. Both names and values are typically case-sensitive. Note that the platform is implicitly part of the action digest, so even tiny changes in the names or values (like changing case) may result in different action cache entries. Attributes name ( type: String.t , default: nil ) - The property name. value ( type: String.t , default: nil ) - The property value.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PlatformProperty.t/0","type":"type"},{"doc":"Allowed values for priority in ResultsCachePolicy and ExecutionPolicy Used for querying both cache and execution valid priority ranges. Attributes priorities ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.t) , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilities.t/0","type":"type"},{"doc":"Supported range of priorities, including boundaries. Attributes maxPriority ( type: integer() , default: nil ) - The maximum numeric value for this priority range, which represents the least urgent task or shortest retained item. minPriority ( type: integer() , default: nil ) - The minimum numeric value for this priority range, which represents the most urgent task or longest retained item.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2PriorityCapabilitiesPriorityRange.t/0","type":"type"},{"doc":"An optional Metadata to attach to any RPC request to tell the server about an external context of the request. The server may use this for logging or other purposes. To use it, the client attaches the header to the call using the canonical proto serialization: name: build.bazel.remote.execution.v2.requestmetadata-bin contents: the base64 encoded binary RequestMetadata message. Note: the gRPC library serializes binary headers encoded in base 64 by default ( https://github.com/grpc/grpc/blob/master/doc/PROTOCOL-HTTP2.md#requests). Therefore, if the gRPC library is used to pass/retrieve this metadata, the user may ignore the base64 encoding and assume it is simply serialized as a binary message. Attributes actionId ( type: String.t , default: nil ) - An identifier that ties multiple requests to the same action. For example, multiple requests to the CAS, Action Cache, and Execution API are used in order to compile foo.cc. actionMnemonic ( type: String.t , default: nil ) - A brief description of the kind of action, for example, CppCompile or GoLink. There is no standard agreed set of values for this, and they are expected to vary between different client tools. configurationId ( type: String.t , default: nil ) - An identifier for the configuration in which the target was built, e.g. for differentiating building host tools or different target platforms. There is no expectation that this value will have any particular structure, or equality across invocations, though some client tools may offer these guarantees. correlatedInvocationsId ( type: String.t , default: nil ) - An identifier to tie multiple tool invocations together. For example, runs of foo_test, bar_test and baz_test on a post-submit of a given patch. targetId ( type: String.t , default: nil ) - An identifier for the target which produced this action. No guarantees are made around how many actions may relate to a single target. toolDetails ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.t , default: nil ) - The details for the tool invoking the requests. toolInvocationId ( type: String.t , default: nil ) - An identifier that ties multiple actions together to a final result. For example, multiple actions are required to build and run foo_test.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2RequestMetadata.t/0","type":"type"},{"doc":"A ResultsCachePolicy is used for fine-grained control over how action outputs are stored in the CAS and Action Cache. Attributes priority ( type: integer() , default: nil ) - The priority (relative importance) of this content in the overall cache. Generally, a lower value means a longer retention time or other advantage, but the interpretation of a given value is server-dependent. A priority of 0 means a default value, decided by the server. The particular semantics of this field is up to the server. In particular, every server will have their own supported range of priorities, and will decide how these map into retention/eviction policy.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ResultsCachePolicy.t/0","type":"type"},{"doc":"A response message for Capabilities.GetCapabilities. Attributes cacheCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2CacheCapabilities.t , default: nil ) - Capabilities of the remote cache system. deprecatedApiVersion ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.t , default: nil ) - Earliest RE API version supported, including deprecated versions. executionCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ExecutionCapabilities.t , default: nil ) - Capabilities of the remote execution system. highApiVersion ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.t , default: nil ) - Latest RE API version supported. lowApiVersion ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.t , default: nil ) - Earliest non-deprecated RE API version supported.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ServerCapabilities.t/0","type":"type"},{"doc":"A SymlinkNode represents a symbolic link. Attributes name ( type: String.t , default: nil ) - The name of the symlink. nodeProperties ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2NodeProperties.t , default: nil ) - target ( type: String.t , default: nil ) - The target path of the symlink. The path separator is a forward slash / . The target path can be relative to the parent directory of the symlink or it can be an absolute path starting with / . Support for absolute paths can be checked using the Capabilities API. .. components are allowed anywhere in the target path as logical canonicalization may lead to different behavior in the presence of directory symlinks (e.g. foo/../bar may not be the same as bar ). To reduce potential cache misses, canonicalization is still recommended where this is possible without impacting correctness.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2SymlinkNode.t/0","type":"type"},{"doc":"Details for the tool used to call the API. Attributes toolName ( type: String.t , default: nil ) - Name of the tool, e.g. bazel. toolVersion ( type: String.t , default: nil ) - Version of the tool used for the request, e.g. 5.0.3.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2ToolDetails.t/0","type":"type"},{"doc":"A Tree contains all the Directory protos in a single directory Merkle tree, compressed into one message. Attributes children ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.t) , default: nil ) - All the child directories: the directories referred to by the root and, recursively, all its children. In order to reconstruct the directory tree, the client must take the digests of each of the child directories and then build up a tree starting from the root . root ( type: GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Directory.t , default: nil ) - The root directory in the tree.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2Tree.t/0","type":"type"},{"doc":"A request message for WaitExecution. Attributes","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelRemoteExecutionV2WaitExecutionRequest.t/0","type":"type"},{"doc":"The full version of a given tool. Attributes major ( type: integer() , default: nil ) - The major version, e.g 10 for 10.2.3. minor ( type: integer() , default: nil ) - The minor version, e.g. 2 for 10.2.3. patch ( type: integer() , default: nil ) - The patch version, e.g 3 for 10.2.3. prerelease ( type: String.t , default: nil ) - The pre-release version. Either this field or major/minor/patch fields must be filled. They are mutually exclusive. Pre-release versions are assumed to be earlier than any released versions.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.BuildBazelSemverSemVer.t/0","type":"type"},{"doc":"CommandDuration contains the various duration metrics tracked when a bot performs a command. Attributes casRelease ( type: String.t , default: nil ) - The time spent to release the CAS blobs used by the task. cmWaitForAssignment ( type: String.t , default: nil ) - The time spent waiting for Container Manager to assign an asynchronous container for execution. dockerPrep ( type: String.t , default: nil ) - The time spent preparing the command to be run in a Docker container (includes pulling the Docker image, if necessary). dockerPrepStartTime ( type: DateTime.t , default: nil ) - The timestamp when docker preparation begins. download ( type: String.t , default: nil ) - The time spent downloading the input files and constructing the working directory. downloadStartTime ( type: DateTime.t , default: nil ) - The timestamp when downloading the input files begins. execStartTime ( type: DateTime.t , default: nil ) - The timestamp when execution begins. execution ( type: String.t , default: nil ) - The time spent executing the command (i.e., doing useful work). isoPrepDone ( type: DateTime.t , default: nil ) - The timestamp when preparation is done and bot starts downloading files. overall ( type: String.t , default: nil ) - The time spent completing the command, in total. stdout ( type: String.t , default: nil ) - The time spent uploading the stdout logs. upload ( type: String.t , default: nil ) - The time spent uploading the output files. uploadStartTime ( type: DateTime.t , default: nil ) - The timestamp when uploading the output files begins.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandDurations.t/0","type":"type"},{"doc":"CommandEvents contains counters for the number of warnings and errors that occurred during the execution of a command. Attributes cmUsage ( type: String.t , default: nil ) - Indicates if and how Container Manager is being used for task execution. dockerCacheHit ( type: boolean() , default: nil ) - Indicates whether we are using a cached Docker image (true) or had to pull the Docker image (false) for this command. dockerImageName ( type: String.t , default: nil ) - Docker Image name. inputCacheMiss ( type: number() , default: nil ) - The input cache miss ratio. numErrors ( type: String.t , default: nil ) - The number of errors reported. numWarnings ( type: String.t , default: nil ) - The number of warnings reported. outputLocation ( type: String.t , default: nil ) - Indicates whether output files and/or output directories were found relative to the execution root or to the user provided work directory or both or none. usedAsyncContainer ( type: boolean() , default: nil ) - Indicates whether an asynchronous container was used for execution.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandEvents.t/0","type":"type"},{"doc":"The internal status of the command result. Attributes code ( type: String.t , default: nil ) - The status code. message ( type: String.t , default: nil ) - The error message.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotCommandStatus.t/0","type":"type"},{"doc":"ResourceUsage is the system resource usage of the host machine. Attributes cpuUsedPercent ( type: float() , default: nil ) - diskUsage ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.t , default: nil ) - memoryUsage ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.t , default: nil ) - totalDiskIoStats ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.t , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsage.t/0","type":"type"},{"doc":"Attributes readBytesCount ( type: String.t , default: nil ) - readCount ( type: String.t , default: nil ) - readTimeMs ( type: String.t , default: nil ) - writeBytesCount ( type: String.t , default: nil ) - writeCount ( type: String.t , default: nil ) - writeTimeMs ( type: String.t , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageIOStats.t/0","type":"type"},{"doc":"Attributes total ( type: String.t , default: nil ) - used ( type: String.t , default: nil ) -","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildbotResourceUsageStat.t/0","type":"type"},{"doc":"AcceleratorConfig defines the accelerator cards to attach to the VM. Attributes acceleratorCount ( type: String.t , default: nil ) - The number of guest accelerator cards exposed to each VM. acceleratorType ( type: String.t , default: nil ) - The type of accelerator to attach to each VM, e.g. &quot;nvidia-tesla-k80&quot; for nVidia Tesla K80.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.t/0","type":"type"},{"doc":"Autoscale defines the autoscaling policy of a worker pool. Attributes maxSize ( type: String.t , default: nil ) - The maximal number of workers. Must be equal to or greater than min_size. minSize ( type: String.t , default: nil ) - The minimal number of workers. Must be greater than 0.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.t/0","type":"type"},{"doc":"The request used for CreateInstance . Attributes instance ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.t , default: nil ) - Specifies the instance to create. The name in the instance, if specified in the instance, is ignored. instanceId ( type: String.t , default: nil ) - ID of the created instance. A valid instance_id must: be 6-50 characters long, contain only lowercase letters, digits, hyphens and underscores, start with a lowercase letter, and end with a lowercase letter or a digit. parent ( type: String.t , default: nil ) - Resource name of the project containing the instance. Format: projects/[PROJECT_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateInstanceRequest.t/0","type":"type"},{"doc":"The request used for CreateWorkerPool . Attributes parent ( type: String.t , default: nil ) - Resource name of the instance in which to create the new worker pool. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID] . poolId ( type: String.t , default: nil ) - ID of the created worker pool. A valid pool ID must: be 6-50 characters long, contain only lowercase letters, digits, hyphens and underscores, start with a lowercase letter, and end with a lowercase letter or a digit. workerPool ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.t , default: nil ) - Specifies the worker pool to create. The name in the worker pool, if specified, is ignored.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaCreateWorkerPoolRequest.t/0","type":"type"},{"doc":"The request used for DeleteInstance . Attributes name ( type: String.t , default: nil ) - Name of the instance to delete. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteInstanceRequest.t/0","type":"type"},{"doc":"The request used for DeleteWorkerPool. Attributes name ( type: String.t , default: nil ) - Name of the worker pool to delete. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID]/workerpools/[POOL_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaDeleteWorkerPoolRequest.t/0","type":"type"},{"doc":"FeaturePolicy defines features allowed to be used on RBE instances, as well as instance-wide behavior changes that take effect without opt-in or opt-out at usage time. Attributes containerImageSources ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Which container image sources are allowed. Currently only RBE-supported registry (gcr.io) is allowed. One can allow all repositories under a project or one specific repository only. E.g. container_image_sources { policy: RESTRICTED allowed_values: [ &quot;gcr.io/project-foo&quot;, &quot;gcr.io/project-bar/repo-baz&quot;, ] } will allow any repositories under &quot;gcr.io/project-foo&quot; plus the repository &quot;gcr.io/project-bar/repo-baz&quot;. Default (UNSPECIFIED) is equivalent to any source is allowed. dockerAddCapabilities ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerAddCapabilities can be used or what capabilities are allowed. dockerChrootPath ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerChrootPath can be used. dockerNetwork ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerNetwork can be used or what network modes are allowed. E.g. one may allow off value only via allowed_values . dockerPrivileged ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerPrivileged can be used. dockerRunAsRoot ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerRunAsRoot can be used. dockerRuntime ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerRuntime is allowed to be set or what runtimes are allowed. Note linux_isolation takes precedence, and if set, docker_runtime values may be rejected if they are incompatible with the selected isolation. dockerSiblingContainers ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t , default: nil ) - Whether dockerSiblingContainers can be used. linuxIsolation ( type: String.t , default: nil ) - linux_isolation allows overriding the docker runtime used for containers started on Linux.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.t/0","type":"type"},{"doc":"Defines whether a feature can be used or what values are accepted. Attributes allowedValues ( type: list(String.t) , default: nil ) - A list of acceptable values. Only effective when the policy is RESTRICTED . policy ( type: String.t , default: nil ) - The policy of the feature.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicyFeature.t/0","type":"type"},{"doc":"The request used for GetInstance . Attributes name ( type: String.t , default: nil ) - Name of the instance to retrieve. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetInstanceRequest.t/0","type":"type"},{"doc":"The request used for GetWorkerPool. Attributes name ( type: String.t , default: nil ) - Name of the worker pool to retrieve. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID]/workerpools/[POOL_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaGetWorkerPoolRequest.t/0","type":"type"},{"doc":"Instance conceptually encapsulates all Remote Build Execution resources for remote builds. An instance consists of storage and compute resources (for example, ContentAddressableStorage , ActionCache , WorkerPools ) used for running remote builds. All Remote Build Execution API calls are scoped to an instance. Attributes featurePolicy ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaFeaturePolicy.t , default: nil ) - The policy to define whether or not RBE features can be used or how they can be used. location ( type: String.t , default: nil ) - The location is a GCP region. Currently only us-central1 is supported. loggingEnabled ( type: boolean() , default: nil ) - Output only. Whether stack driver logging is enabled for the instance. name ( type: String.t , default: nil ) - Output only. Instance resource name formatted as: projects/[PROJECT_ID]/instances/[INSTANCE_ID] . Name should not be populated when creating an instance since it is provided in the instance_id field. state ( type: String.t , default: nil ) - Output only. State of the instance.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.t/0","type":"type"},{"doc":"Attributes parent ( type: String.t , default: nil ) - Resource name of the project. Format: projects/[PROJECT_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesRequest.t/0","type":"type"},{"doc":"Attributes instances ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.t) , default: nil ) - The list of instances in a given project.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListInstancesResponse.t/0","type":"type"},{"doc":"Attributes filter ( type: String.t , default: nil ) - Optional. A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. String values are case-insensitive. The comparison operator must be either : , = , != , &gt; , &gt;= , &lt;= or &lt; . The : operator can be used with string fields to match substrings. For non-string fields it is equivalent to the = operator. The :* comparison can be used to test whether a key has been defined. You can also filter on nested fields. To filter on multiple expressions, you can separate expression using AND and OR operators, using parentheses to specify precedence. If neither operator is specified, AND is assumed. Examples: Include only pools with more than 100 reserved workers: (worker_count &gt; 100) (worker_config.reserved = true) Include only pools with a certain label or machines of the e2-standard family: worker_config.labels.key1 : * OR worker_config.machine_type: e2-standard parent ( type: String.t , default: nil ) - Resource name of the instance. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID] .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsRequest.t/0","type":"type"},{"doc":"Attributes workerPools ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.t) , default: nil ) - The list of worker pools in a given instance.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaListWorkerPoolsResponse.t/0","type":"type"},{"doc":"The request used for UpdateInstance . Attributes instance ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaInstance.t , default: nil ) - Specifies the instance to update. loggingEnabled ( type: boolean() , default: nil ) - Deprecated, use instance.logging_enabled instead. Whether to enable Stackdriver logging for this instance. name ( type: String.t , default: nil ) - Deprecated, use instance.Name instead. Name of the instance to update. Format: projects/[PROJECT_ID]/instances/[INSTANCE_ID] . updateMask ( type: String.t , default: nil ) - The update mask applies to instance. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If an empty update_mask is provided, only the non-default valued field in the worker pool field will be updated. Note that in order to update a field to the default value (zero, false, empty string) an explicit update_mask must be provided.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateInstanceRequest.t/0","type":"type"},{"doc":"The request used for UpdateWorkerPool. Attributes updateMask ( type: String.t , default: nil ) - The update mask applies to worker_pool. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If an empty update_mask is provided, only the non-default valued field in the worker pool field will be updated. Note that in order to update a field to the default value (zero, false, empty string) an explicit update_mask must be provided. workerPool ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.t , default: nil ) - Specifies the worker pool to update.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaUpdateWorkerPoolRequest.t/0","type":"type"},{"doc":"Defines the configuration to be used for creating workers in the worker pool. Attributes accelerator ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAcceleratorConfig.t , default: nil ) - The accelerator card attached to each VM. diskSizeGb ( type: String.t , default: nil ) - Required. Size of the disk attached to the worker, in GB. See https://cloud.google.com/compute/docs/disks/ diskType ( type: String.t , default: nil ) - Required. Disk Type to use for the worker. See Storage options . Currently only pd-standard and pd-ssd are supported. labels ( type: map() , default: nil ) - Labels associated with the workers. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International letters are permitted. Label keys must start with a letter. Label values are optional. There can not be more than 64 labels per resource. machineType ( type: String.t , default: nil ) - Required. Machine type of the worker, such as e2-standard-2 . See https://cloud.google.com/compute/docs/machine-types for a list of supported machine types. Note that f1-micro and g1-small are not yet supported. maxConcurrentActions ( type: String.t , default: nil ) - The maximum number of actions a worker can execute concurrently. minCpuPlatform ( type: String.t , default: nil ) - Minimum CPU platform to use when creating the worker. See CPU Platforms . networkAccess ( type: String.t , default: nil ) - Determines the type of network access granted to workers. Possible values: - &quot;public&quot;: Workers can connect to the public internet. - &quot;private&quot;: Workers can only connect to Google APIs and services. - &quot;restricted-private&quot;: Workers can only connect to Google APIs that are reachable through restricted.googleapis.com ( 199.36.153.4/30 ). reserved ( type: boolean() , default: nil ) - Determines whether the worker is reserved (equivalent to a Compute Engine on-demand VM and therefore won't be preempted). See Preemptible VMs for more details. soleTenantNodeType ( type: String.t , default: nil ) - The node type name to be used for sole-tenant nodes. vmImage ( type: String.t , default: nil ) - The name of the image used by each VM.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.t/0","type":"type"},{"doc":"A worker pool resource in the Remote Build Execution API. Attributes autoscale ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaAutoscale.t , default: nil ) - The autoscale policy to apply on a pool. channel ( type: String.t , default: nil ) - Channel specifies the release channel of the pool. name ( type: String.t , default: nil ) - WorkerPool resource name formatted as: projects/[PROJECT_ID]/instances/[INSTANCE_ID]/workerpools/[POOL_ID] . name should not be populated when creating a worker pool since it is provided in the poolId field. state ( type: String.t , default: nil ) - Output only. State of the worker pool. workerConfig ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerConfig.t , default: nil ) - Specifies the properties, such as machine type and disk size, used for creating workers in a worker pool. workerCount ( type: String.t , default: nil ) - The desired number of workers in the worker pool. Must be a value between 0 and 15000.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemotebuildexecutionAdminV1alphaWorkerPool.t/0","type":"type"},{"doc":"AdminTemp is a prelimiary set of administration tasks. It's called &quot;Temp&quot; because we do not yet know the best way to represent admin tasks; it's possible that this will be entirely replaced in later versions of this API. If this message proves to be sufficient, it will be renamed in the alpha or beta release of this API. This message (suitably marshalled into a protobuf.Any) can be used as the inline_assignment field in a lease; the lease assignment field should simply be &quot;admin&quot; in these cases. This message is heavily based on Swarming administration tasks from the LUCI project ( http://github.com/luci/luci-py/appengine/swarming). Attributes arg ( type: String.t , default: nil ) - The argument to the admin action; see Command for semantics. command ( type: String.t , default: nil ) - The admin action; see Command for legal values.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2AdminTemp.t/0","type":"type"},{"doc":"Describes a blob of binary content with its digest. Attributes contents ( type: String.t , default: nil ) - The contents of the blob. digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t , default: nil ) - The digest of the blob. This should be verified by the receiver.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.t/0","type":"type"},{"doc":"DEPRECATED - use CommandResult instead. Describes the actual outputs from the task. Attributes exitCode ( type: integer() , default: nil ) - exit_code is only fully reliable if the status' code is OK. If the task exceeded its deadline or was cancelled, the process may still produce an exit code as it is cancelled, and this will be populated, but a successful (zero) is unlikely to be correct unless the status code is OK. outputs ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t , default: nil ) - The output files. The blob referenced by the digest should contain one of the following (implementation-dependent): A marshalled DirectoryMetadata of the returned filesystem A LUCI-style .isolated file","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOutputs.t/0","type":"type"},{"doc":"DEPRECATED - use CommandResult instead. Can be used as part of CompleteRequest.metadata, or are part of a more sophisticated message. Attributes duration ( type: String.t , default: nil ) - The elapsed time between calling Accept and Complete. The server will also have its own idea of what this should be, but this excludes the overhead of the RPCs and the bot response time. overhead ( type: String.t , default: nil ) - The amount of time not spent executing the command (ie uploading/downloading files).","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandOverhead.t/0","type":"type"},{"doc":"All information about the execution of a command, suitable for providing as the Bots interface's Lease.result field. Attributes duration ( type: String.t , default: nil ) - The elapsed time between calling Accept and Complete. The server will also have its own idea of what this should be, but this excludes the overhead of the RPCs and the bot response time. exitCode ( type: integer() , default: nil ) - The exit code of the process. An exit code of &quot;0&quot; should only be trusted if status has a code of OK (otherwise it may simply be unset). metadata ( type: list(map()) , default: nil ) - Implementation-dependent metadata about the task. Both servers and bots may define messages which can be encoded here; bots are free to provide metadata in multiple formats, and servers are free to choose one or more of the values to process and ignore others. In particular, it is not considered an error for the bot to provide the server with a field that it doesn't know about. outputs ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t , default: nil ) - The output files. The blob referenced by the digest should contain one of the following (implementation-dependent): A marshalled DirectoryMetadata of the returned filesystem A LUCI-style .isolated file overhead ( type: String.t , default: nil ) - The amount of time not spent executing the command (ie uploading/downloading files). status ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t , default: nil ) - An overall status for the command. For example, if the command timed out, this might have a code of DEADLINE_EXCEEDED; if it was killed by the OS for memory exhaustion, it might have a code of RESOURCE_EXHAUSTED.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandResult.t/0","type":"type"},{"doc":"Describes a shell-style task to execute, suitable for providing as the Bots interface's Lease.payload field. Attributes expectedOutputs ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.t , default: nil ) - The expected outputs from the task. inputs ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.t , default: nil ) - The inputs to the task. timeouts ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.t , default: nil ) - The timeouts of this task.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTask.t/0","type":"type"},{"doc":"Describes the inputs to a shell-style task. Attributes arguments ( type: list(String.t) , default: nil ) - The command itself to run (e.g., argv). This field should be passed directly to the underlying operating system, and so it must be sensible to that operating system. For example, on Windows, the first argument might be &quot;C:\\Windows\\System32\\ping.exe&quot; - that is, using drive letters and backslashes. A command for a *nix system, on the other hand, would use forward slashes. All other fields in the RWAPI must consistently use forward slashes, since those fields may be interpretted by both the service and the bot. environmentVariables ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.t) , default: nil ) - All environment variables required by the task. files ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t) , default: nil ) - The input filesystem to be set up prior to the task beginning. The contents should be a repeated set of FileMetadata messages though other formats are allowed if better for the implementation (eg, a LUCI-style .isolated file). This field is repeated since implementations might want to cache the metadata, in which case it may be useful to break up portions of the filesystem that change frequently (eg, specific input files) from those that don't (eg, standard header files). inlineBlobs ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Blob.t) , default: nil ) - Inline contents for blobs expected to be needed by the bot to execute the task. For example, contents of entries in files or blobs that are indirectly referenced by an entry there. The bot should check against this list before downloading required task inputs to reduce the number of communications between itself and the remote CAS server. workingDirectory ( type: String.t , default: nil ) - Directory from which a command is executed. It is a relative directory with respect to the bot's working directory (i.e., &quot;./&quot;). If it is non-empty, then it must exist under &quot;./&quot;. Otherwise, &quot;./&quot; will be used.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputs.t/0","type":"type"},{"doc":"An environment variable required by this task. Attributes name ( type: String.t , default: nil ) - The envvar name. value ( type: String.t , default: nil ) - The envvar value.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskInputsEnvironmentVariable.t/0","type":"type"},{"doc":"Describes the expected outputs of the command. Attributes directories ( type: list(String.t) , default: nil ) - A list of expected directories, relative to the execution root. All paths MUST be delimited by forward slashes. files ( type: list(String.t) , default: nil ) - A list of expected files, relative to the execution root. All paths MUST be delimited by forward slashes. stderrDestination ( type: String.t , default: nil ) - The destination to which any stderr should be sent. The method by which the bot should send the stream contents to that destination is not defined in this API. As examples, the destination could be a file referenced in the files field in this message, or it could be a URI that must be written via the ByteStream API. stdoutDestination ( type: String.t , default: nil ) - The destination to which any stdout should be sent. The method by which the bot should send the stream contents to that destination is not defined in this API. As examples, the destination could be a file referenced in the files field in this message, or it could be a URI that must be written via the ByteStream API.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskOutputs.t/0","type":"type"},{"doc":"Describes the timeouts associated with this task. Attributes execution ( type: String.t , default: nil ) - This specifies the maximum time that the task can run, excluding the time required to download inputs or upload outputs. That is, the worker will terminate the task if it runs longer than this. idle ( type: String.t , default: nil ) - This specifies the maximum amount of time the task can be idle - that is, go without generating some output in either stdout or stderr. If the process is silent for more than the specified time, the worker will terminate the task. shutdown ( type: String.t , default: nil ) - If the execution or IO timeouts are exceeded, the worker will try to gracefully terminate the task and return any existing logs. However, tasks may be hard-frozen in which case this process will fail. This timeout specifies how long to wait for a terminated task to shut down gracefully (e.g. via SIGTERM) before we bring down the hammer (e.g. SIGKILL on *nix, CTRL_BREAK_EVENT on Windows).","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2CommandTaskTimeouts.t/0","type":"type"},{"doc":"The CommandTask and CommandResult messages assume the existence of a service that can serve blobs of content, identified by a hash and size known as a &quot;digest.&quot; The method by which these blobs may be retrieved is not specified here, but a model implementation is in the Remote Execution API's &quot;ContentAddressibleStorage&quot; interface. In the context of the RWAPI, a Digest will virtually always refer to the contents of a file or a directory. The latter is represented by the byte-encoded Directory message. Attributes hash ( type: String.t , default: nil ) - A string-encoded hash (eg &quot;1a2b3c&quot;, not the byte array [0x1a, 0x2b, 0x3c]) using an implementation-defined hash algorithm (eg SHA-256). sizeBytes ( type: String.t , default: nil ) - The size of the contents. While this is not strictly required as part of an identifier (after all, any given hash will have exactly one canonical size), it's useful in almost all cases when one might want to send or retrieve blobs of content and is included here for this reason.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t/0","type":"type"},{"doc":"The contents of a directory. Similar to the equivalent message in the Remote Execution API. Attributes directories ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.t) , default: nil ) - Any subdirectories files ( type: list(GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.t) , default: nil ) - The files in this directory","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Directory.t/0","type":"type"},{"doc":"The metadata for a directory. Similar to the equivalent message in the Remote Execution API. Attributes digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t , default: nil ) - A pointer to the contents of the directory, in the form of a marshalled Directory message. path ( type: String.t , default: nil ) - The path of the directory, as in FileMetadata.path.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2DirectoryMetadata.t/0","type":"type"},{"doc":"The metadata for a file. Similar to the equivalent message in the Remote Execution API. Attributes contents ( type: String.t , default: nil ) - If the file is small enough, its contents may also or alternatively be listed here. digest ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2Digest.t , default: nil ) - A pointer to the contents of the file. The method by which a client retrieves the contents from a CAS system is not defined here. isExecutable ( type: boolean() , default: nil ) - Properties of the file path ( type: String.t , default: nil ) - The path of this file. If this message is part of the CommandOutputs.outputs fields, the path is relative to the execution root and must correspond to an entry in CommandTask.outputs.files. If this message is part of a Directory message, then the path is relative to the root of that directory. All paths MUST be delimited by forward slashes.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleDevtoolsRemoteworkersV1test2FileMetadata.t/0","type":"type"},{"doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done ( type: boolean() , default: nil ) - If the value is false , it means the operation is still in progress. If true , the operation is completed, and either error or response is available. error ( type: GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t , default: nil ) - The error result of the operation in case of failure or cancellation. metadata ( type: map() , default: nil ) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. name ( type: String.t , default: nil ) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id} . response ( type: map() , default: nil ) - The normal response of the operation in case of success. If the original method returns no data on success, such as Delete , the response is google.protobuf.Empty . If the original method is standard Get / Create / Update , the response should be the resource. For other methods, the response should have the type XxxResponse , where Xxx is the original method name. For example, if the original method name is TakeSnapshot() , the inferred response type is TakeSnapshotResponse .","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleLongrunningOperation.t/0","type":"type"},{"doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC . Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide . Attributes code ( type: integer() , default: nil ) - The status code, which should be an enum value of google.rpc.Code. details ( type: list(map()) , default: nil ) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message ( type: String.t , default: nil ) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.html","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.html#decode/2","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.html#t:t/0","title":"GoogleApi.RemoteBuildExecution.V2.Model.GoogleRpcStatus.t/0","type":"type"}]